Bug 1032753 - (CVE-2013-4579) CVE-2013-4579 kernel: ath9k_htc driver improperly updates MAC
CVE-2013-4579 kernel: ath9k_htc driver improperly updates MAC
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20131114,reported=2...
: Security
Depends On: 1033071 1033072
Blocks: 1030959
  Show dependency treegraph
 
Reported: 2013-11-20 13:18 EST by Vincent Danen
Modified: 2015-10-15 14:05 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 07:46:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-11-20 13:18:02 EST
Linux kernel built with the ath9k_htc(CONFIG_ATH9K_HTC) wireless driver is vulnerable to an information leakage flaw. This driver does not properly update the MAC address when user changes it, thus leaking the same. This flaw could be
used to remotely determine the original MAC address of a machine.

A user/program could use this flaw to remotely discover the original MAC address of a machine.

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/11/15/3
 -> http://www.mathyvanhoef.com/2013/11/unmasking-spoofed-mac-address.html
Comment 1 Prasad J Pandit 2013-11-21 08:55:12 EST
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 3 Prasad J Pandit 2013-11-21 09:06:48 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1033072]
Comment 15 Fedora Update System 2014-01-14 03:34:57 EST
kernel-3.12.7-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2014-01-14 03:38:09 EST
kernel-3.12.7-300.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.